#ifndef _display_h_
#define _display_h_

#include <avr/pgmspace.h>
#include "ledmatrix.h"

class Display {
 public:
  Display(void);
  void begin();
  void setMaxValues(uint8_t max_upper, uint8_t max_lower);
  void setValues(uint8_t upper, uint8_t lower);
  void activateLower(uint8_t seconds);
  void setBrightness(uint8_t b);
  void setBlinkRate(uint8_t b);
  void setAction(uint8_t b);
  void step();
  void display();

  static const uint8_t SET_LED_ON=1;
  static const uint8_t SET_LED_OFF=0;
  static const uint8_t SET_BLINK_ON=1;
  static const uint8_t SET_BLINK_OFF=0;

 private:
  LEDMatrix matrix;
  uint8_t upper;
  uint8_t lower;
  uint8_t max_upper;
  uint8_t max_lower;
  uint8_t lower_active;
  uint8_t action;
  unsigned long returnToDispUpper;
};

#endif // _display_h_

