#ifndef _ledmatrix_h_
#define _ledmatrix_h_

#define LED_ON 1
#define LED_OFF 0
#define BLINK_OFF 0
#define BLINK_ON 2

class LEDMatrix {
 public:
  LEDMatrix(void);
  void begin(uint8_t _addr);
  void setBrightness(uint8_t b);
  void setBlinkRate(uint8_t b);
  void writeDisplay(void);
  void clear(void);
  void drawPixel(int8_t x, int8_t y, uint8_t color);
  void drawChar(int8_t x, int8_t y, unsigned char c);
  void writeText(int8_t x, int8_t y, const char *text);

  uint8_t displaybuffer[8]; 

  void init(uint8_t a);
 private:
  uint8_t i2c_addr;
};

#endif // _led_matrix_h_

