#ifndef _ripple_h_
#define _ripple_h_

#include "FastLED.h"

// algorithm by Balázs Suhajda (https://gist.github.com/suhajdab/9716635)
// rewritten for FastLED by Andrew Tuline (https://github.com/atuline/FastLED-Demos)

class Ripple {
 public:
  Ripple(uint16_t);
  void nextFrame(CRGB *leds);

 private:
   int wrap(int step);

   uint16_t num_leds;
   int color;
   int center;
   int step;
   int maxSteps;
   float fadeRate;
   int diff;
   //background color
   uint32_t currentBg;
   uint32_t nextBg;
};

#endif // _ripple_h_
